package com.diagbot.repository;

import com.diagbot.biz.push.entity.Lis;
import com.diagbot.dto.*;
import com.diagbot.entity.node.*;
import com.diagbot.util.ListUtil;
import com.diagbot.util.NeoUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.CriticalNeoVO;

import java.math.BigDecimal;
import java.util.*;

public class DeptNode {

	/**
	 * 获取科室名称列表
	 */
	public List<String> getDeptNameList(String name, DeptRepository deptRepository) {

		List<String> deptlt = new ArrayList<>();

		List<Dept> deptlist = deptRepository.findByNameContaining(name);
		if (ListUtil.isNotEmpty(deptlist) && deptlist.size() > 100) {
			deptlist = deptlist.subList(0, 100);
		}

		for (Dept dept : deptlist) {
			deptlt.add(dept.getName());
		}


		return deptlt;
	}
}

